| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangulate2 Class Reference

This triangulates a simple polygon. More...

`#include <csgeom/triangulate.h>`

List of all members.

## Public Member Functions
| csTriangulate2 ()
| ~csTriangulate2 ()
## Static Public Member Functions
static float | Area (const csContour2 &contour)
| Compute area of a contour/polygon.
static bool | InsideTriangle (float Ax, float Ay, float Bx, float By, float Cx, float Cy, float Px, float Py)
| Decide if point Px/Py is inside triangle defined by (Ax,Ay) (Bx,By) (Cx,Cy).
static bool | Process (const csContour2 &contour, csTriangleMesh &result, csContour2 &result_vertices)
| Triangulate a contour/polygon, places results in a triangle mesh, with the resulting vertices in result_vertices.

## Detailed Description

This triangulates a simple polygon.

It does not handle holes, but it is fast and efficient.

Definition at line 46 of file triangulate.h.

## Member Function Documentation

static float csTriangulate2::Area | ( | const csContour2 & | contour | ) | `[static]`

Compute area of a contour/polygon.

static bool csTriangulate2::InsideTriangle | ( | float | Ax,
|  | float | Ay,
|  | float | Bx,
|  | float | By,
|  | float | Cx,
|  | float | Cy,
|  | float | Px,
|  | float | Py |
| ) |  |  | `[static]`

Decide if point Px/Py is inside triangle defined by (Ax,Ay) (Bx,By) (Cx,Cy).

static bool csTriangulate2::Process | ( | const csContour2 & | contour,
|  | csTriangleMesh & | result,
|  | csContour2 & | result_vertices |
| ) |  |  | `[static]`

Triangulate a contour/polygon, places results in a triangle mesh, with the resulting vertices in result_vertices.

The documentation for this class was generated from the following file:

- csgeom/triangulate.h